# Interface methods for submodule: MultiScaleHessianBasedMeasureImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: MultiScaleHessianBasedMeasureImageFilter
class MultiScaleHessianBasedMeasureImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSigmaMinimum(self, _arg: float) -> None:
		""""""
		...

	def GetSigmaMinimum(self) -> float:
		""""""
		...

	def SetSigmaMaximum(self, _arg: float) -> None:
		""""""
		...

	def GetSigmaMaximum(self) -> float:
		""""""
		...

	def SetNumberOfSigmaSteps(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfSigmaSteps(self) -> int:
		""""""
		...

	def SetHessianToMeasureFilter(self, _arg) -> None:
		""""""
		...

	def GetModifiableHessianToMeasureFilter(self):
		""""""
		...

	def GetHessianToMeasureFilter(self):
		""""""
		...

	def SetNonNegativeHessianBasedMeasure(self, _arg: bool) -> None:
		""""""
		...

	def GetNonNegativeHessianBasedMeasure(self) -> bool:
		""""""
		...

	def NonNegativeHessianBasedMeasureOn(self) -> None:
		""""""
		...

	def NonNegativeHessianBasedMeasureOff(self) -> None:
		""""""
		...

	def SetSigmaStepMethod(self, _arg) -> None:
		""""""
		...

	def GetSigmaStepMethod(self):
		""""""
		...

	def SetSigmaStepMethodToEquispaced(self) -> None:
		""""""
		...

	def SetSigmaStepMethodToLogarithmic(self) -> None:
		""""""
		...

	def GetHessianOutput(self):
		""""""
		...

	def GetScalesOutput(self):
		""""""
		...

	def SetGenerateScalesOutput(self, _arg: bool) -> None:
		""""""
		...

	def GetGenerateScalesOutput(self) -> bool:
		""""""
		...

	def GenerateScalesOutputOn(self) -> None:
		""""""
		...

	def GenerateScalesOutputOff(self) -> None:
		""""""
		...

	def SetGenerateHessianOutput(self, _arg: bool) -> None:
		""""""
		...

	def GetGenerateHessianOutput(self) -> bool:
		""""""
		...

	def GenerateHessianOutputOn(self) -> None:
		""""""
		...

	def GenerateHessianOutputOff(self) -> None:
		""""""
		...

